• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

Problem importing OM 1 ORF files

New Here ,
Apr 17, 2023 Apr 17, 2023

Copy link to clipboard

Copied

Since I upgraded my Olympus camera body to the new OM-1 I can longer import ORF files to Lightroom.  I am getting this error that all the files are damaged, but they are fine in OM Workspace.  (OM Workspace is horrible to edit with though...) Happening with all my memory cards and all files (cards have been formatted) Anyone else having this issue?  Could it be a camera setting?

TOPICS
macOS

Views

851

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , Apr 18, 2023 Apr 18, 2023

I'd try talking to your local Apple store technicians.....a 5 year-old Mac should be perfectly capable of being upgraded to a level which supports the latest versions of the creative cloud apps. I have a late-2013 MacBookPro which currently runs all the latest Lightroom versions (though probably I won't be able to upgrade to the latest versions when they are (expected to be) released at the Adobe MAX conference towards the end of this year). A 5 year-old system should have more longevity than th

...

Votes

Translate

Translate
New Here ,
Apr 17, 2023 Apr 17, 2023

Copy link to clipboard

Copied

*no longer import ORF files (sorry, typo)

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

What version number of Lightroom are you using? If you are using one of the current 6.x versions, the OM-1 is supported, so there shouldn't be a problem in that regard. 

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

I just upgraded to the latest version 4.4, which is all I have available .  I just checked compatible cameras and OM-1 isn't on the list yet, the problem may be my older operating Mac system I think

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

Yes, you need at least version 5.2 in order to get raw file support from that camera (current version is 6.3 as of today). It might be possible to get a version of the free Adobe DNG converter which supports your camera AND will run of whatever MacOS version that you're running.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

Thank you Jim, that appears to be the issue.  I am reluctant to upgrade my OS as my 5 year old desktop completely crashed with a new OS and I'm still trying to recover it!    The Adobe DNG converter is not compatible with my OS either ... I'll have to attempt an upgrade to my OS or get left behind by the looks of it.  

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

I'd try talking to your local Apple store technicians.....a 5 year-old Mac should be perfectly capable of being upgraded to a level which supports the latest versions of the creative cloud apps. I have a late-2013 MacBookPro which currently runs all the latest Lightroom versions (though probably I won't be able to upgrade to the latest versions when they are (expected to be) released at the Adobe MAX conference towards the end of this year). A 5 year-old system should have more longevity than that.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Apr 18, 2023 Apr 18, 2023

Copy link to clipboard

Copied

LATEST

Good idea, thanks Jim.  I did a bit of googling if I can get to Big Sur (2 updates ahead, which supposedly is still compatible with my older laptop) Lightroom should work with the ORF's.  ...But this time I will back up the whole system before upgrading haha! I did make the mistake of jumping too far ahead with my desktop which has been an epic fail.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines